diff --git a/drivers/staging/ath6kl/htc2/AR6000/ar6k.c b/drivers/staging/ath6kl/htc2/AR6000/ar6k.c
index 77fa618..bdaffd7 100644
--- a/drivers/staging/ath6kl/htc2/AR6000/ar6k.c
+++ b/drivers/staging/ath6kl/htc2/AR6000/ar6k.c
@@ -537,7 +537,7 @@ int DevWaitForPendingRecv(struct ar6k_device *pDev,u32 TimeoutInMs,bool *pbIsRec
 }
 
 void DevDumpRegisters(struct ar6k_device               *pDev,
-                      AR6K_IRQ_PROC_REGISTERS   *pIrqProcRegs,
+                      struct ar6k_irq_proc_registers   *pIrqProcRegs,
                       struct ar6k_irq_enable_registers *pIrqEnableRegs)
 {
 
diff --git a/drivers/staging/ath6kl/htc2/AR6000/ar6k.h b/drivers/staging/ath6kl/htc2/AR6000/ar6k.h
index fc781d1..247cf56 100644
--- a/drivers/staging/ath6kl/htc2/AR6000/ar6k.h
+++ b/drivers/staging/ath6kl/htc2/AR6000/ar6k.h
@@ -43,7 +43,7 @@
 //#define MBOXHW_UNIT_TEST 1
 
 #include "athstartpack.h"
-typedef PREPACK struct _AR6K_IRQ_PROC_REGISTERS {
+PREPACK struct ar6k_irq_proc_registers {
     u8 host_int_status;
     u8 cpu_int_status;
     u8 error_int_status;
@@ -54,9 +54,9 @@ typedef PREPACK struct _AR6K_IRQ_PROC_REGISTERS {
     u8 gmbox_rx_avail;
     u32 rx_lookahead[2];
     u32 rx_gmbox_lookahead_alias[2];
-} POSTPACK AR6K_IRQ_PROC_REGISTERS;
+} POSTPACK;
 
-#define AR6K_IRQ_PROC_REGS_SIZE sizeof(AR6K_IRQ_PROC_REGISTERS)
+#define AR6K_IRQ_PROC_REGS_SIZE sizeof(struct ar6k_irq_proc_registers)
 
 PREPACK struct ar6k_irq_enable_registers {
     u8 int_status_enable;
@@ -108,7 +108,7 @@ struct ar6k_gmbox_info {
 struct ar6k_device {
     A_MUTEX_T                   Lock;
     u8 _Pad1[A_CACHE_LINE_PAD];
-    AR6K_IRQ_PROC_REGISTERS     IrqProcRegisters;   /* cache-line safe with pads around */
+    struct ar6k_irq_proc_registers     IrqProcRegisters;   /* cache-line safe with pads around */
     u8 _Pad2[A_CACHE_LINE_PAD];
     struct ar6k_irq_enable_registers   IrqEnableRegisters; /* cache-line safe with pads around */
     u8 _Pad3[A_CACHE_LINE_PAD];
@@ -159,7 +159,7 @@ int DevDsrHandler(void *context);
 int DevCheckPendingRecvMsgsAsync(void *context);
 void     DevAsyncIrqProcessComplete(struct ar6k_device *pDev);
 void     DevDumpRegisters(struct ar6k_device               *pDev,
-                          AR6K_IRQ_PROC_REGISTERS   *pIrqProcRegs,
+                          struct ar6k_irq_proc_registers   *pIrqProcRegs,
                           struct ar6k_irq_enable_registers *pIrqEnableRegs);
 
 #define DEV_STOP_RECV_ASYNC true
diff --git a/drivers/staging/ath6kl/htc2/AR6000/ar6k_events.c b/drivers/staging/ath6kl/htc2/AR6000/ar6k_events.c
index 3aafbea..bac4f93 100644
--- a/drivers/staging/ath6kl/htc2/AR6000/ar6k_events.c
+++ b/drivers/staging/ath6kl/htc2/AR6000/ar6k_events.c
@@ -331,7 +331,7 @@ static void DevGetEventAsyncHandler(void *Context, HTC_PACKET *pPacket)
             }
         } else {
                 /* standard interrupt table handling.... */
-            AR6K_IRQ_PROC_REGISTERS *pReg = (AR6K_IRQ_PROC_REGISTERS *)pPacket->pBuffer;
+            struct ar6k_irq_proc_registers *pReg = (struct ar6k_irq_proc_registers *)pPacket->pBuffer;
             u8 host_int_status;
 
             host_int_status = pReg->host_int_status & pDev->IrqEnableRegisters.int_status_enable;
@@ -748,7 +748,7 @@ void DumpAR6KDevState(struct ar6k_device *pDev)
 {
     int                    status;
     struct ar6k_irq_enable_registers   regs;
-    AR6K_IRQ_PROC_REGISTERS     procRegs;
+    struct ar6k_irq_proc_registers     procRegs;
 
     LOCK_AR6K(pDev);
         /* copy into our temp area */
diff --git a/drivers/staging/ath6kl/htc2/AR6000/ar6k_gmbox.c b/drivers/staging/ath6kl/htc2/AR6000/ar6k_gmbox.c
index 1b44d07..106f9bf 100644
--- a/drivers/staging/ath6kl/htc2/AR6000/ar6k_gmbox.c
+++ b/drivers/staging/ath6kl/htc2/AR6000/ar6k_gmbox.c
@@ -638,7 +638,7 @@ int DevGMboxRecvLookAheadPeek(struct ar6k_device *pDev, u8 *pLookAheadBuffer, in
 {
 
     int                    status = 0;
-    AR6K_IRQ_PROC_REGISTERS     procRegs;
+    struct ar6k_irq_proc_registers     procRegs;
     int                         maxCopy;
   
     do {